<?php
/**
 * @file
 * popsu_projets_europe.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function popsu_projets_europe_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'projets_europe';
  $view->description = 'Liste des projets POPSU Europe';
  $view->tag = 'POPSU';
  $view->base_table = 'node';
  $view->human_name = 'Projets POPSU Europe';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'plus';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Appliquer';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Réinitialiser';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Trier par';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Champ: Contenu : Ville */
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['id'] = 'field_popsu_projeteur_ville';
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['table'] = 'field_data_field_popsu_projeteur_ville';
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['field'] = 'field_popsu_projeteur_ville';
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['type'] = 'taxonomy_term_reference_plain';
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '[field_popsu_projeteur_ville]';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Critère de tri: Contenu : Date de publication */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_projet_europe' => 'popsu_projet_europe',
  );

  /* Display: Projet Europe Par ThèmeEUR Pane */
  $handler = $view->new_display('panel_pane', 'Projet Europe Par ThèmeEUR Pane', 'panel_pane_1');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Entête: Global : Résumé des résultats */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['content'] = '@total villes etudiees';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relation: Contenu : Ville (field_popsu_projeteur_ville) */
  $handler->display->display_options['relationships']['field_popsu_projeteur_ville_tid']['id'] = 'field_popsu_projeteur_ville_tid';
  $handler->display->display_options['relationships']['field_popsu_projeteur_ville_tid']['table'] = 'field_data_field_popsu_projeteur_ville';
  $handler->display->display_options['relationships']['field_popsu_projeteur_ville_tid']['field'] = 'field_popsu_projeteur_ville_tid';
  $handler->display->display_options['relationships']['field_popsu_projeteur_ville_tid']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Ville */
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['id'] = 'field_popsu_projeteur_ville';
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['table'] = 'field_data_field_popsu_projeteur_ville';
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['field'] = 'field_popsu_projeteur_ville';
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['type'] = 'taxonomy_term_reference_plain';
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '[field_popsu_projeteur_ville]';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Terme de taxonomie : Nom */
  $handler->display->display_options['sorts']['name']['id'] = 'name';
  $handler->display->display_options['sorts']['name']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['sorts']['name']['field'] = 'name';
  $handler->display->display_options['sorts']['name']['relationship'] = 'field_popsu_projeteur_ville_tid';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : Thème (field_popsu_projeteur_theme) */
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['id'] = 'field_popsu_projeteur_theme_nid';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['table'] = 'field_data_field_popsu_projeteur_theme';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['field'] = 'field_popsu_projeteur_theme_nid';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_projeteur_theme_nid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Thème (field_popsu_projeteur_theme)',
    ),
  );

  /* Display: Projet Europe Par VilleEUR Pane */
  $handler = $view->new_display('panel_pane', 'Projet Europe Par VilleEUR Pane', 'panel_pane_2');
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['css_class'] = 'listing-grille listing-projets';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relation: Contenu : Thème (field_popsu_projeteur_theme) */
  $handler->display->display_options['relationships']['field_popsu_projeteur_theme_nid']['id'] = 'field_popsu_projeteur_theme_nid';
  $handler->display->display_options['relationships']['field_popsu_projeteur_theme_nid']['table'] = 'field_data_field_popsu_projeteur_theme';
  $handler->display->display_options['relationships']['field_popsu_projeteur_theme_nid']['field'] = 'field_popsu_projeteur_theme_nid';
  $handler->display->display_options['relationships']['field_popsu_projeteur_theme_nid']['required'] = TRUE;
  $handler->display->display_options['relationships']['field_popsu_projeteur_theme_nid']['delta'] = '-1';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Contenu : Chemin */
  $handler->display->display_options['fields']['path']['id'] = 'path';
  $handler->display->display_options['fields']['path']['table'] = 'node';
  $handler->display->display_options['fields']['path']['field'] = 'path';
  $handler->display->display_options['fields']['path']['label'] = '';
  $handler->display->display_options['fields']['path']['exclude'] = TRUE;
  $handler->display->display_options['fields']['path']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['path']['absolute'] = TRUE;
  /* Champ: Contenu : Image du thème (miniature) */
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['id'] = 'field_popsu_themeur_thumb';
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['table'] = 'field_data_field_popsu_themeur_thumb';
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['field'] = 'field_popsu_themeur_thumb';
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['relationship'] = 'field_popsu_projeteur_theme_nid';
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['alter']['path'] = '[path]';
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_themeur_thumb']['settings'] = array(
    'image_style' => 'popsu-themeseur-listing-small',
    'image_link' => '',
  );
  /* Champ: Contenu : Ville */
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['id'] = 'field_popsu_projeteur_ville';
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['table'] = 'field_data_field_popsu_projeteur_ville';
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['field'] = 'field_popsu_projeteur_ville';
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_projeteur_ville']['type'] = 'taxonomy_term_reference_plain';
  /* Champ: Contenu : Version courte de l'intitulé */
  $handler->display->display_options['fields']['field_popsu_themeur_titleshort']['id'] = 'field_popsu_themeur_titleshort';
  $handler->display->display_options['fields']['field_popsu_themeur_titleshort']['table'] = 'field_data_field_popsu_themeur_titleshort';
  $handler->display->display_options['fields']['field_popsu_themeur_titleshort']['field'] = 'field_popsu_themeur_titleshort';
  $handler->display->display_options['fields']['field_popsu_themeur_titleshort']['relationship'] = 'field_popsu_projeteur_theme_nid';
  $handler->display->display_options['fields']['field_popsu_themeur_titleshort']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_themeur_titleshort']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_themeur_titleshort']['alter']['text'] = '[field_popsu_projeteur_ville] / [field_popsu_themeur_titleshort]';
  $handler->display->display_options['fields']['field_popsu_themeur_titleshort']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_themeur_titleshort']['alter']['path'] = '[path]';
  $handler->display->display_options['fields']['field_popsu_themeur_titleshort']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Contenu : Titre */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['sorts']['title']['relationship'] = 'field_popsu_projeteur_theme_nid';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : Ville (field_popsu_projeteur_ville) */
  $handler->display->display_options['arguments']['field_popsu_projeteur_ville_tid']['id'] = 'field_popsu_projeteur_ville_tid';
  $handler->display->display_options['arguments']['field_popsu_projeteur_ville_tid']['table'] = 'field_data_field_popsu_projeteur_ville';
  $handler->display->display_options['arguments']['field_popsu_projeteur_ville_tid']['field'] = 'field_popsu_projeteur_ville_tid';
  $handler->display->display_options['arguments']['field_popsu_projeteur_ville_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_projeteur_ville_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_projeteur_ville_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_projeteur_ville_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_projeteur_ville_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_projeteur_ville_tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_projeteur_ville_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Ville (field_popsu_projeteur_ville)',
    ),
  );

  /* Display: Diapo Villes Europe par ThèmeEUR Pane */
  $handler = $view->new_display('panel_pane', 'Diapo Villes Europe par ThèmeEUR Pane', 'panel_pane_3');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['style_options']['class'] = 'slides';
  $handler->display->display_options['style_options']['wrapper_class'] = 'item-list flexslider';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['default_field_elements'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relation: Contenu : Ville (field_popsu_projeteur_ville) */
  $handler->display->display_options['relationships']['field_popsu_projeteur_ville_tid']['id'] = 'field_popsu_projeteur_ville_tid';
  $handler->display->display_options['relationships']['field_popsu_projeteur_ville_tid']['table'] = 'field_data_field_popsu_projeteur_ville';
  $handler->display->display_options['relationships']['field_popsu_projeteur_ville_tid']['field'] = 'field_popsu_projeteur_ville_tid';
  $handler->display->display_options['relationships']['field_popsu_projeteur_ville_tid']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Terme de taxonomie : Nom */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'field_popsu_projeteur_ville_tid';
  $handler->display->display_options['fields']['name']['label'] = '';
  $handler->display->display_options['fields']['name']['exclude'] = TRUE;
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Images pour le diaporama thème */
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['id'] = 'field_popsu_projeteur_diapo';
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['table'] = 'field_data_field_popsu_projeteur_diapo';
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['field'] = 'field_popsu_projeteur_diapo';
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['alter']['text'] = '[field_popsu_projeteur_diapo]
<p class="flex-caption"><span class="ville-title">[name]</span> - [field_popsu_projeteur_diapo-title]</p>';
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['settings'] = array(
    'image_style' => 'popsu-projetseurope-diapo',
    'image_link' => '',
  );
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['group_rows'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['delta_offset'] = '0';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Global : Au hasard */
  $handler->display->display_options['sorts']['random']['id'] = 'random';
  $handler->display->display_options['sorts']['random']['table'] = 'views';
  $handler->display->display_options['sorts']['random']['field'] = 'random';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : Thème (field_popsu_projeteur_theme) */
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['id'] = 'field_popsu_projeteur_theme_nid';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['table'] = 'field_data_field_popsu_projeteur_theme';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['field'] = 'field_popsu_projeteur_theme_nid';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_projeteur_theme_nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_projet_europe' => 'popsu_projet_europe',
  );
  /* Critère de filtrage: Contenu : Images pour le diaporama thème (field_popsu_projeteur_diapo:fid) */
  $handler->display->display_options['filters']['field_popsu_projeteur_diapo_fid']['id'] = 'field_popsu_projeteur_diapo_fid';
  $handler->display->display_options['filters']['field_popsu_projeteur_diapo_fid']['table'] = 'field_data_field_popsu_projeteur_diapo';
  $handler->display->display_options['filters']['field_popsu_projeteur_diapo_fid']['field'] = 'field_popsu_projeteur_diapo_fid';
  $handler->display->display_options['filters']['field_popsu_projeteur_diapo_fid']['operator'] = 'not empty';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_projeteur_theme_nid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Thème (field_popsu_projeteur_theme)',
    ),
  );

  /* Display: Diapo Villes Europe par ProjetEUR Pane */
  $handler = $view->new_display('panel_pane', 'Diapo Villes Europe par ProjetEUR Pane', 'panel_pane_4');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['style_options']['class'] = 'slides';
  $handler->display->display_options['style_options']['wrapper_class'] = 'item-list flexslider';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['default_field_elements'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relation: Contenu : Ville (field_popsu_projeteur_ville) */
  $handler->display->display_options['relationships']['field_popsu_projeteur_ville_tid']['id'] = 'field_popsu_projeteur_ville_tid';
  $handler->display->display_options['relationships']['field_popsu_projeteur_ville_tid']['table'] = 'field_data_field_popsu_projeteur_ville';
  $handler->display->display_options['relationships']['field_popsu_projeteur_ville_tid']['field'] = 'field_popsu_projeteur_ville_tid';
  $handler->display->display_options['relationships']['field_popsu_projeteur_ville_tid']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Terme de taxonomie : Nom */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'field_popsu_projeteur_ville_tid';
  $handler->display->display_options['fields']['name']['label'] = '';
  $handler->display->display_options['fields']['name']['exclude'] = TRUE;
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Images pour le diaporama thème */
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['id'] = 'field_popsu_projeteur_diapo';
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['table'] = 'field_data_field_popsu_projeteur_diapo';
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['field'] = 'field_popsu_projeteur_diapo';
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['alter']['text'] = '[field_popsu_projeteur_diapo]
<p class="flex-caption"><span class="ville-title">[name]</span> - [field_popsu_projeteur_diapo-title]</p>';
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['settings'] = array(
    'image_style' => 'popsu-projetseurope-diapo',
    'image_link' => '',
  );
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['group_rows'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_projeteur_diapo']['delta_offset'] = '0';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Global : Au hasard */
  $handler->display->display_options['sorts']['random']['id'] = 'random';
  $handler->display->display_options['sorts']['random']['table'] = 'views';
  $handler->display->display_options['sorts']['random']['field'] = 'random';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_projet_europe' => 'popsu_projet_europe',
  );
  /* Critère de filtrage: Contenu : Images pour le diaporama thème (field_popsu_projeteur_diapo:fid) */
  $handler->display->display_options['filters']['field_popsu_projeteur_diapo_fid']['id'] = 'field_popsu_projeteur_diapo_fid';
  $handler->display->display_options['filters']['field_popsu_projeteur_diapo_fid']['table'] = 'field_data_field_popsu_projeteur_diapo';
  $handler->display->display_options['filters']['field_popsu_projeteur_diapo_fid']['field'] = 'field_popsu_projeteur_diapo_fid';
  $handler->display->display_options['filters']['field_popsu_projeteur_diapo_fid']['operator'] = 'not empty';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Nid',
    ),
  );
  $translatables['projets_europe'] = array(
    t('Master'),
    t('plus'),
    t('Appliquer'),
    t('Réinitialiser'),
    t('Trier par'),
    t('Asc'),
    t('Desc'),
    t('[field_popsu_projeteur_ville]'),
    t('Projet Europe Par ThèmeEUR Pane'),
    t('@total villes etudiees'),
    t('terme à partir de field_popsu_projeteur_ville'),
    t('Tout'),
    t('Volets de vue'),
    t('Projet Europe Par VilleEUR Pane'),
    t('field_popsu_projeteur_theme'),
    t('[field_popsu_projeteur_ville] / [field_popsu_themeur_titleshort]'),
    t('Diapo Villes Europe par ThèmeEUR Pane'),
    t('[field_popsu_projeteur_diapo]
<p class="flex-caption"><span class="ville-title">[name]</span> - [field_popsu_projeteur_diapo-title]</p>'),
    t('Diapo Villes Europe par ProjetEUR Pane'),
  );
  $export['projets_europe'] = $view;

  return $export;
}
