<?php
/**
 * @file
 * popsu_publications.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function popsu_publications_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'publications';
  $view->description = 'Liste des publications';
  $view->tag = 'POPSU';
  $view->base_table = 'node';
  $view->human_name = 'Publications';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'plus';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Appliquer';
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Réinitialiser';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Trier par';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Éléments par page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Tout -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Décalage';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« premier';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ précédent';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'suivant ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'dernier »';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Critère de tri: Contenu : Date de publication */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_publication' => 'popsu_publication',
  );

  /* Display: Toutes les publications */
  $handler = $view->new_display('page', 'Toutes les publications', 'page_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Toutes les publications';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['path'] = 'publications';

  /* Display: Publications par ville Pane */
  $handler = $view->new_display('panel_pane', 'Publications par ville Pane', 'panel_pane_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'panels_fields';
  $handler->display->display_options['row_options']['layout'] = 'flexible:popsu_70_30_accordion_pic';
  $handler->display->display_options['row_options']['regions'] = array(
    'nid' => 'title_',
    'field_popsu_publication_ville' => 'title_',
    'title' => 'title',
    'field_popsu_publication_soustitr' => 'title',
    'edit_node' => 'title',
    'field_popsu_publication_cover' => 'picture',
    'field_popsu_publication_body' => 'left',
    'edit_node_1' => 'left',
    'view' => 'left',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Global : PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['label'] = '';
  $handler->display->display_options['fields']['php']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['php']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['php']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['php']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php']['php_output'] = '<?php echo drupal_get_path_alias(); ?>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  /* Champ: Contenu : Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Ville (POPSU France) */
  $handler->display->display_options['fields']['field_popsu_publication_ville']['id'] = 'field_popsu_publication_ville';
  $handler->display->display_options['fields']['field_popsu_publication_ville']['table'] = 'field_data_field_popsu_publication_ville';
  $handler->display->display_options['fields']['field_popsu_publication_ville']['field'] = 'field_popsu_publication_ville';
  $handler->display->display_options['fields']['field_popsu_publication_ville']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_ville']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_publication_ville']['alter']['text'] = 'Publication';
  $handler->display->display_options['fields']['field_popsu_publication_ville']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_publication_ville']['type'] = 'taxonomy_term_reference_plain';
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<h3>[title]</h3>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Champ: Contenu : Sous titre de la publication */
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['id'] = 'field_popsu_publication_soustitr';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['table'] = 'field_data_field_popsu_publication_soustitr';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['field'] = 'field_popsu_publication_soustitr';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'Modifier cette publication';
  /* Champ: Contenu : Image de couverture */
  $handler->display->display_options['fields']['field_popsu_publication_cover']['id'] = 'field_popsu_publication_cover';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['table'] = 'field_data_field_popsu_publication_cover';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['field'] = 'field_popsu_publication_cover';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_publication_cover']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['settings'] = array(
    'image_style' => 'popsu-publication-cover',
    'image_link' => '',
  );
  /* Champ: Contenu : Résumé de la publication */
  $handler->display->display_options['fields']['field_popsu_publication_body']['id'] = 'field_popsu_publication_body';
  $handler->display->display_options['fields']['field_popsu_publication_body']['table'] = 'field_data_field_popsu_publication_body';
  $handler->display->display_options['fields']['field_popsu_publication_body']['field'] = 'field_popsu_publication_body';
  $handler->display->display_options['fields']['field_popsu_publication_body']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_body']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node_1']['id'] = 'edit_node_1';
  $handler->display->display_options['fields']['edit_node_1']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node_1']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node_1']['label'] = '';
  $handler->display->display_options['fields']['edit_node_1']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node_1']['alter']['text'] = '<a href="/node/add/popsu-document/[nid]?destination=[php]">Ajouter un document</a>';
  $handler->display->display_options['fields']['edit_node_1']['element_class'] = 'admin-add-item admin-add-item-margin';
  $handler->display->display_options['fields']['edit_node_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node_1']['hide_empty'] = TRUE;
  /* Champ: Global : Voir */
  $handler->display->display_options['fields']['view']['id'] = 'view';
  $handler->display->display_options['fields']['view']['table'] = 'views';
  $handler->display->display_options['fields']['view']['field'] = 'view';
  $handler->display->display_options['fields']['view']['label'] = '';
  $handler->display->display_options['fields']['view']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view']['view'] = 'documents';
  $handler->display->display_options['fields']['view']['display'] = 'panel_pane_1';
  $handler->display->display_options['fields']['view']['arguments'] = '[!nid],51';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : Ville (POPSU France) (field_popsu_publication_ville) */
  $handler->display->display_options['arguments']['field_popsu_publication_ville_tid']['id'] = 'field_popsu_publication_ville_tid';
  $handler->display->display_options['arguments']['field_popsu_publication_ville_tid']['table'] = 'field_data_field_popsu_publication_ville';
  $handler->display->display_options['arguments']['field_popsu_publication_ville_tid']['field'] = 'field_popsu_publication_ville_tid';
  $handler->display->display_options['arguments']['field_popsu_publication_ville_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_publication_ville_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_publication_ville_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_publication_ville_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_publication_ville_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_publication_ville_tid']['summary_options']['items_per_page'] = '25';
  /* Filtre contextuel: Contenu : POPSU (field_popsu_publication_popsu) */
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['id'] = 'field_popsu_publication_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['table'] = 'field_data_field_popsu_publication_popsu';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['field'] = 'field_popsu_publication_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_publication_ville_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Ville (field_popsu_publication_ville)',
    ),
    'field_popsu_publication_popsu_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : POPSU (field_popsu_publication_popsu)',
    ),
  );

  /* Display: Publications par POPSU Pane */
  $handler = $view->new_display('panel_pane', 'Publications par POPSU Pane', 'panel_pane_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Les Publications par ville';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'panels_fields';
  $handler->display->display_options['row_options']['layout'] = 'flexible:popsu_70_30_accordion_pic';
  $handler->display->display_options['row_options']['regions'] = array(
    'nid' => 'title_',
    'field_popsu_publication_ville' => 'title',
    'title' => 'title_',
    'field_popsu_publication_soustitr' => 'title_',
    'edit_node' => 'title',
    'field_popsu_publication_cover' => 'picture',
    'field_popsu_publication_body' => 'left',
    'edit_node_1' => 'left',
    'view' => 'left',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relation: Contenu : Ville (POPSU France) (field_popsu_publication_ville) */
  $handler->display->display_options['relationships']['field_popsu_publication_ville_tid']['id'] = 'field_popsu_publication_ville_tid';
  $handler->display->display_options['relationships']['field_popsu_publication_ville_tid']['table'] = 'field_data_field_popsu_publication_ville';
  $handler->display->display_options['relationships']['field_popsu_publication_ville_tid']['field'] = 'field_popsu_publication_ville_tid';
  $handler->display->display_options['relationships']['field_popsu_publication_ville_tid']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Global : PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['label'] = '';
  $handler->display->display_options['fields']['php']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['php']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['php']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php']['php_output'] = '<?php echo drupal_get_path_alias(); ?>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  /* Champ: Contenu : Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<h3>[title]</h3>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Champ: Contenu : Sous titre de la publication */
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['id'] = 'field_popsu_publication_soustitr';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['table'] = 'field_data_field_popsu_publication_soustitr';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['field'] = 'field_popsu_publication_soustitr';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Ville (POPSU France) */
  $handler->display->display_options['fields']['field_popsu_publication_ville']['id'] = 'field_popsu_publication_ville';
  $handler->display->display_options['fields']['field_popsu_publication_ville']['table'] = 'field_data_field_popsu_publication_ville';
  $handler->display->display_options['fields']['field_popsu_publication_ville']['field'] = 'field_popsu_publication_ville';
  $handler->display->display_options['fields']['field_popsu_publication_ville']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_ville']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_publication_ville']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_publication_ville']['type'] = 'taxonomy_term_reference_plain';
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'Modifier cette publication';
  /* Champ: Contenu : Image de couverture */
  $handler->display->display_options['fields']['field_popsu_publication_cover']['id'] = 'field_popsu_publication_cover';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['table'] = 'field_data_field_popsu_publication_cover';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['field'] = 'field_popsu_publication_cover';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_publication_cover']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['settings'] = array(
    'image_style' => 'popsu-publication-cover',
    'image_link' => '',
  );
  /* Champ: Contenu : Résumé de la publication */
  $handler->display->display_options['fields']['field_popsu_publication_body']['id'] = 'field_popsu_publication_body';
  $handler->display->display_options['fields']['field_popsu_publication_body']['table'] = 'field_data_field_popsu_publication_body';
  $handler->display->display_options['fields']['field_popsu_publication_body']['field'] = 'field_popsu_publication_body';
  $handler->display->display_options['fields']['field_popsu_publication_body']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_body']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node_1']['id'] = 'edit_node_1';
  $handler->display->display_options['fields']['edit_node_1']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node_1']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node_1']['label'] = '';
  $handler->display->display_options['fields']['edit_node_1']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node_1']['alter']['text'] = '<a href="/node/add/popsu-document/[nid]?destination=[php]">Ajouter un document</a>';
  $handler->display->display_options['fields']['edit_node_1']['element_class'] = 'admin-add-item';
  $handler->display->display_options['fields']['edit_node_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node_1']['hide_empty'] = TRUE;
  /* Champ: Global : Voir */
  $handler->display->display_options['fields']['view']['id'] = 'view';
  $handler->display->display_options['fields']['view']['table'] = 'views';
  $handler->display->display_options['fields']['view']['field'] = 'view';
  $handler->display->display_options['fields']['view']['label'] = '';
  $handler->display->display_options['fields']['view']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view']['view'] = 'documents';
  $handler->display->display_options['fields']['view']['display'] = 'panel_pane_1';
  $handler->display->display_options['fields']['view']['arguments'] = '[!nid],51';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Terme de taxonomie : Poids */
  $handler->display->display_options['sorts']['weight']['id'] = 'weight';
  $handler->display->display_options['sorts']['weight']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['sorts']['weight']['field'] = 'weight';
  $handler->display->display_options['sorts']['weight']['relationship'] = 'field_popsu_publication_ville_tid';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : POPSU (field_popsu_publication_popsu) */
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['id'] = 'field_popsu_publication_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['table'] = 'field_data_field_popsu_publication_popsu';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['field'] = 'field_popsu_publication_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_publication' => 'popsu_publication',
  );
  /* Critère de filtrage: Contenu : Ville (POPSU France) (field_popsu_publication_ville) */
  $handler->display->display_options['filters']['field_popsu_publication_ville_tid']['id'] = 'field_popsu_publication_ville_tid';
  $handler->display->display_options['filters']['field_popsu_publication_ville_tid']['table'] = 'field_data_field_popsu_publication_ville';
  $handler->display->display_options['filters']['field_popsu_publication_ville_tid']['field'] = 'field_popsu_publication_ville_tid';
  $handler->display->display_options['filters']['field_popsu_publication_ville_tid']['operator'] = 'not empty';
  $handler->display->display_options['filters']['field_popsu_publication_ville_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_popsu_publication_ville_tid']['vocabulary'] = 'popsu_villes';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_publication_ville_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Ville (field_popsu_publication_ville)',
    ),
    'field_popsu_publication_popsu_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : POPSU (field_popsu_publication_popsu)',
    ),
  );

  /* Display: Publications par POPSU sans ville Pane */
  $handler = $view->new_display('panel_pane', 'Publications par POPSU sans ville Pane', 'panel_pane_3');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'panels_fields';
  $handler->display->display_options['row_options']['layout'] = 'flexible:popsu_70_30_accordion_pic';
  $handler->display->display_options['row_options']['regions'] = array(
    'php' => 'left',
    'nid' => 'title_',
    'field_popsu_publication_ville' => 'title_',
    'title' => 'left',
    'field_popsu_publication_soustitr' => 'left',
    'edit_node' => 'left',
    'field_popsu_publication_cover' => 'picture',
    'field_popsu_publication_body' => 'left',
    'edit_node_1' => 'left',
    'view' => 'left',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Global : PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['label'] = '';
  $handler->display->display_options['fields']['php']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['php']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php']['php_output'] = '<?php echo drupal_get_path_alias(); ?>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  /* Champ: Contenu : Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nid']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['nid']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['nid']['empty_zero'] = TRUE;
  /* Champ: Contenu : Ville (POPSU France) */
  $handler->display->display_options['fields']['field_popsu_publication_ville']['id'] = 'field_popsu_publication_ville';
  $handler->display->display_options['fields']['field_popsu_publication_ville']['table'] = 'field_data_field_popsu_publication_ville';
  $handler->display->display_options['fields']['field_popsu_publication_ville']['field'] = 'field_popsu_publication_ville';
  $handler->display->display_options['fields']['field_popsu_publication_ville']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_ville']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_publication_ville']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_publication_ville']['type'] = 'taxonomy_term_reference_plain';
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<h3>[title]</h3>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Champ: Contenu : Sous titre de la publication */
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['id'] = 'field_popsu_publication_soustitr';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['table'] = 'field_data_field_popsu_publication_soustitr';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['field'] = 'field_popsu_publication_soustitr';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'Modifier cette publication';
  /* Champ: Contenu : Image de couverture */
  $handler->display->display_options['fields']['field_popsu_publication_cover']['id'] = 'field_popsu_publication_cover';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['table'] = 'field_data_field_popsu_publication_cover';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['field'] = 'field_popsu_publication_cover';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_publication_cover']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['settings'] = array(
    'image_style' => 'popsu-publication-cover',
    'image_link' => '',
  );
  /* Champ: Contenu : Résumé de la publication */
  $handler->display->display_options['fields']['field_popsu_publication_body']['id'] = 'field_popsu_publication_body';
  $handler->display->display_options['fields']['field_popsu_publication_body']['table'] = 'field_data_field_popsu_publication_body';
  $handler->display->display_options['fields']['field_popsu_publication_body']['field'] = 'field_popsu_publication_body';
  $handler->display->display_options['fields']['field_popsu_publication_body']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_body']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node_1']['id'] = 'edit_node_1';
  $handler->display->display_options['fields']['edit_node_1']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node_1']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node_1']['label'] = '';
  $handler->display->display_options['fields']['edit_node_1']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node_1']['alter']['text'] = '<a href="/node/add/popsu-document/[nid]?destination=[php]">Ajouter un document</a>';
  $handler->display->display_options['fields']['edit_node_1']['element_class'] = 'admin-add-item';
  $handler->display->display_options['fields']['edit_node_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node_1']['hide_empty'] = TRUE;
  /* Champ: Global : Voir */
  $handler->display->display_options['fields']['view']['id'] = 'view';
  $handler->display->display_options['fields']['view']['table'] = 'views';
  $handler->display->display_options['fields']['view']['field'] = 'view';
  $handler->display->display_options['fields']['view']['label'] = '';
  $handler->display->display_options['fields']['view']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view']['view'] = 'documents';
  $handler->display->display_options['fields']['view']['display'] = 'panel_pane_1';
  $handler->display->display_options['fields']['view']['arguments'] = '[!nid],51';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Critère de tri: Contenu : Titre */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : POPSU (field_popsu_publication_popsu) */
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['id'] = 'field_popsu_publication_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['table'] = 'field_data_field_popsu_publication_popsu';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['field'] = 'field_popsu_publication_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Critère de filtrage: Contenu : Publié */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Critère de filtrage: Contenu : Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'popsu_publication' => 'popsu_publication',
  );
  /* Critère de filtrage: Contenu : Ville (POPSU France) (field_popsu_publication_ville) */
  $handler->display->display_options['filters']['field_popsu_publication_ville_tid']['id'] = 'field_popsu_publication_ville_tid';
  $handler->display->display_options['filters']['field_popsu_publication_ville_tid']['table'] = 'field_data_field_popsu_publication_ville';
  $handler->display->display_options['filters']['field_popsu_publication_ville_tid']['field'] = 'field_popsu_publication_ville_tid';
  $handler->display->display_options['filters']['field_popsu_publication_ville_tid']['operator'] = 'empty';
  $handler->display->display_options['filters']['field_popsu_publication_ville_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_popsu_publication_ville_tid']['vocabulary'] = 'popsu_villes';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_publication_ville_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : Ville (field_popsu_publication_ville)',
    ),
    'field_popsu_publication_popsu_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : POPSU (field_popsu_publication_popsu)',
    ),
  );

  /* Display: Publications par thème EUROPE Pane */
  $handler = $view->new_display('panel_pane', 'Publications par thème EUROPE Pane', 'panel_pane_4');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'panels_fields';
  $handler->display->display_options['row_options']['layout'] = 'flexible:popsu_accordion_column';
  $handler->display->display_options['row_options']['regions'] = array(
    'php' => 'title',
    'nid' => 'title',
    'field_popsu_publication_theme' => 'title',
    'title' => 'left',
    'field_popsu_publication_soustitr' => 'left',
    'edit_node' => 'left',
    'field_popsu_publication_cover' => 'left',
    'field_popsu_publication_body' => 'left',
    'edit_node_1' => 'left',
    'view' => 'left',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Champ: Global : PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['label'] = '';
  $handler->display->display_options['fields']['php']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['php']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['php']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['php']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php']['php_output'] = '<?php echo drupal_get_path_alias(); ?>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  /* Champ: Contenu : Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Champ: Contenu : ou Thème (POPSU Europe) */
  $handler->display->display_options['fields']['field_popsu_publication_theme']['id'] = 'field_popsu_publication_theme';
  $handler->display->display_options['fields']['field_popsu_publication_theme']['table'] = 'field_data_field_popsu_publication_theme';
  $handler->display->display_options['fields']['field_popsu_publication_theme']['field'] = 'field_popsu_publication_theme';
  $handler->display->display_options['fields']['field_popsu_publication_theme']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_theme']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_popsu_publication_theme']['alter']['text'] = 'Publications';
  $handler->display->display_options['fields']['field_popsu_publication_theme']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_publication_theme']['type'] = 'node_reference_plain';
  /* Champ: Contenu : Titre */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '<h3>[title]</h3>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Champ: Contenu : Sous titre de la publication */
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['id'] = 'field_popsu_publication_soustitr';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['table'] = 'field_data_field_popsu_publication_soustitr';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['field'] = 'field_popsu_publication_soustitr';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_soustitr']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'Modifier cette publication';
  /* Champ: Contenu : Image de couverture */
  $handler->display->display_options['fields']['field_popsu_publication_cover']['id'] = 'field_popsu_publication_cover';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['table'] = 'field_data_field_popsu_publication_cover';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['field'] = 'field_popsu_publication_cover';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_popsu_publication_cover']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_popsu_publication_cover']['settings'] = array(
    'image_style' => 'popsu-publication-cover',
    'image_link' => '',
  );
  /* Champ: Contenu : Résumé de la publication */
  $handler->display->display_options['fields']['field_popsu_publication_body']['id'] = 'field_popsu_publication_body';
  $handler->display->display_options['fields']['field_popsu_publication_body']['table'] = 'field_data_field_popsu_publication_body';
  $handler->display->display_options['fields']['field_popsu_publication_body']['field'] = 'field_popsu_publication_body';
  $handler->display->display_options['fields']['field_popsu_publication_body']['label'] = '';
  $handler->display->display_options['fields']['field_popsu_publication_body']['element_label_colon'] = FALSE;
  /* Champ: Contenu : Lien de modification */
  $handler->display->display_options['fields']['edit_node_1']['id'] = 'edit_node_1';
  $handler->display->display_options['fields']['edit_node_1']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node_1']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node_1']['label'] = '';
  $handler->display->display_options['fields']['edit_node_1']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node_1']['alter']['text'] = '<a href="/node/add/popsu-document/[nid]?destination=[php]">Ajouter un document</a>';
  $handler->display->display_options['fields']['edit_node_1']['element_class'] = 'admin-add-item admin-add-item-margin';
  $handler->display->display_options['fields']['edit_node_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node_1']['hide_empty'] = TRUE;
  /* Champ: Global : Voir */
  $handler->display->display_options['fields']['view']['id'] = 'view';
  $handler->display->display_options['fields']['view']['table'] = 'views';
  $handler->display->display_options['fields']['view']['field'] = 'view';
  $handler->display->display_options['fields']['view']['label'] = '';
  $handler->display->display_options['fields']['view']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view']['view'] = 'documents';
  $handler->display->display_options['fields']['view']['display'] = 'panel_pane_1';
  $handler->display->display_options['fields']['view']['arguments'] = '[!nid],51';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Filtre contextuel: Contenu : POPSU (field_popsu_publication_popsu) */
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['id'] = 'field_popsu_publication_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['table'] = 'field_data_field_popsu_publication_popsu';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['field'] = 'field_popsu_publication_popsu_tid';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_publication_popsu_tid']['summary_options']['items_per_page'] = '25';
  /* Filtre contextuel: Contenu : ou Thème (POPSU Europe) (field_popsu_publication_theme) */
  $handler->display->display_options['arguments']['field_popsu_publication_theme_nid']['id'] = 'field_popsu_publication_theme_nid';
  $handler->display->display_options['arguments']['field_popsu_publication_theme_nid']['table'] = 'field_data_field_popsu_publication_theme';
  $handler->display->display_options['arguments']['field_popsu_publication_theme_nid']['field'] = 'field_popsu_publication_theme_nid';
  $handler->display->display_options['arguments']['field_popsu_publication_theme_nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_popsu_publication_theme_nid']['exception']['title'] = 'Tout';
  $handler->display->display_options['arguments']['field_popsu_publication_theme_nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_popsu_publication_theme_nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_popsu_publication_theme_nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_popsu_publication_theme_nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['pane_category']['name'] = 'Volets de vue';
  $handler->display->display_options['argument_input'] = array(
    'field_popsu_publication_popsu_tid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : POPSU (field_popsu_publication_popsu)',
    ),
    'field_popsu_publication_theme_nid' => array(
      'type' => 'user',
      'context' => 'string.raw',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Contenu : ou Thème (POPSU Europe) (field_popsu_publication_theme)',
    ),
  );
  $translatables['publications'] = array(
    t('Master'),
    t('plus'),
    t('Appliquer'),
    t('Réinitialiser'),
    t('Trier par'),
    t('Asc'),
    t('Desc'),
    t('Éléments par page'),
    t('- Tout -'),
    t('Décalage'),
    t('« premier'),
    t('‹ précédent'),
    t('suivant ›'),
    t('dernier »'),
    t('Toutes les publications'),
    t('Publications par ville Pane'),
    t('Publication'),
    t('<h3>[title]</h3>'),
    t('Modifier cette publication'),
    t('<a href="/node/add/popsu-document/[nid]?destination=[php]">Ajouter un document</a>'),
    t('Tout'),
    t('Volets de vue'),
    t('Publications par POPSU Pane'),
    t('Les Publications par ville'),
    t('terme à partir de field_popsu_publication_ville'),
    t('Publications par POPSU sans ville Pane'),
    t('Publications par thème EUROPE Pane'),
    t('Publications'),
  );
  $export['publications'] = $view;

  return $export;
}
